<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.fragmnt.A_HomeFragment">

    <!-- 使用 NestedScrollView 来实现垂直滚动 -->
    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="16dp">

            <TextView
                android:id="@+id/first_line_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/ready_to_sleep"
                android:textColor="@color/white"
                android:textSize="44sp"
                android:textStyle="italic|bold" />

            <TextView
                android:id="@+id/second_line_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/we_ve_carefully_prepared_sounds_for_you"
                android:textColor="@color/white"
                android:textSize="14sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView_first"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:nestedScrollingEnabled="false"
                android:orientation="horizontal"
                tools:itemCount="1"
                tools:listitem="@layout/item_a_home_1" />

            <TextView
                android:id="@+id/third_line_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:text="@string/white_noise"
                android:textColor="@color/white"
                android:textSize="20sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView_second"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:nestedScrollingEnabled="false"
                android:orientation="horizontal"
                tools:itemCount="1"
                tools:listitem="@layout/item_a_home_2" />

            <TextView
                android:id="@+id/fourth_line_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:text="@string/voice_of_nature"
                android:textColor="@color/white"
                android:textSize="20sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView_third"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:nestedScrollingEnabled="false"
                android:orientation="horizontal"
                tools:itemCount="1"
                tools:listitem="@layout/item_a_home_3" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</FrameLayout>